Package org.apache.commons.imaging.formats.tiff.taginfos

## Class TagInfoGpsText

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.taginfos.TagInfo
  - - org.apache.commons.imaging.formats.tiff.taginfos.TagInfoGpsText

-     public final class TagInfoGpsText
      extends TagInfo

  Used by some GPS tags and the EXIF user comment tag, this badly documented value is meant to contain the text encoding in the first 8 bytes followed by the non-null-terminated text in an unknown byte order.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

      `dataTypes, directoryType, length, LENGTH_UNKNOWN, name, tag`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagInfoGpsText​(String name, int tag, TiffDirectoryType exifDirectory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `encodeValue​(FieldType fieldType, Object value, ByteOrder byteOrder)` |
    `String` | `getValue​(TiffField entry)` |
    `boolean` | `isText()` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

      `getDescription, isOffset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagInfoGpsText

          public TagInfoGpsText​(String name,
                                int tag,
                                TiffDirectoryType exifDirectory)

  - ### Method Detail

    - #### isText

          public boolean isText()

      Overrides:
        `isText` in class `TagInfo`

    - #### encodeValue

          public byte[] encodeValue​(FieldType fieldType,
                                    Object value,
                                    ByteOrder byteOrder)
                             throws ImageWriteException

      Overrides:
        `encodeValue` in class `TagInfo`
      Throws:
        `ImageWriteException`

    - #### getValue

          public String getValue​(TiffField entry)
                          throws ImageReadException

      Overrides:
        `getValue` in class `TagInfo`
      Parameters:
        `entry` - the TIFF field whose value to return
      Returns:
        the value of the TIFF field
      Throws:
        `ImageReadException` - thrown by subclasses